com.microfocus.awm.model

## Interface IPropertyValue

- All Known Implementing Classes:
    ApplicationPropertyValue, LinkedPropertyValue, PropertyValue

      public interface IPropertyValue

  Value of a modeled `Property` at runtime.

  Clients can instantiate property values by using `TaurusFactory.createPropertyValue(Property, String)` (or other method signatures).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValue(java.lang.String pValue)` Adds a value to the value list.
    `java.lang.String` | `getLabelOrValue()` Returns a label for a Property Value, if one was configured or set by a retrieval tool.
    `Property` | `getProperty()` Gets the property of this property value.
    `EPropertyValueType` | `getType()`
    `java.lang.String` | `getValue()` Gets the string value.
    `java.util.List<java.lang.String>` | `getValues()`
    `boolean` | `isArray()` Gets whether the property is a text array property.
    `void` | `setType(EPropertyValueType pType)` Sets the `EPropertyValueType` of the Property value.
    `void` | `setValue(IExecutionContext pContext, java.lang.String pValue)` Sets the string value.
    `void` | `setValue(java.lang.String pValue)` Sets the actual value.

- - ### Method Detail

    - #### getProperty

          Property getProperty()

      Gets the property of this property value.
      Returns:
        the property

    - #### getValue

          java.lang.String getValue()

      Gets the string value. Does not support linked properties which require a resource identifier to resolve the value.

      If the property is of the type `ETypes.TEXT_ARRAY` this method returns the values of `getValues()` separated by the `Property.getStringDelimiterWithoutQuotes()` as string.

      Returns:
        the string value

    - #### setValue

          void setValue(IExecutionContext pContext,
                        java.lang.String pValue)

      Sets the string value. Is also able to set the value of a linked property that requires a resource identifier.
      Parameters:
        `pContext` - the execution context
        `pValue` - the value to set

    - #### getValues

          java.util.List<java.lang.String> getValues()

      Returns:
        A List of values or `null`, if the Property is not an array Property or no values have been set.

    - #### setValue

          void setValue(java.lang.String pValue)

      Sets the actual value. Does not support setting values of linked properties. If a context is available, use `setValue(IExecutionContext, String)` instead.
      Parameters:
        `pValue` - the new value

    - #### addValue

          void addValue(java.lang.String pValue)

      Adds a value to the value list. This is used for Text Array properties.
      Parameters:
        `pValue` - adds the value to the value list
      See Also:
        `getValues()`, `ETypes.TEXT_ARRAY`

    - #### isArray

          boolean isArray()

      Gets whether the property is a text array property.
      Returns:
        `true` if the property has the type "Text Array"
      See Also:
        `ETypes.TEXT_ARRAY`

    - #### getLabelOrValue

          java.lang.String getLabelOrValue()

      Returns a label for a Property Value, if one was configured or set by a retrieval tool.

      If there is no label for this value, the value will be returned.

      Returns:
        the label for this property or the value, if there is no label

    - #### getType

          EPropertyValueType getType()

      Returns:
        the `EPropertyValueType` of this Property value.

    - #### setType

          void setType(EPropertyValueType pType)

      Sets the `EPropertyValueType` of the Property value.
      Parameters:
        `pType` - the new property value type

Copyright © 2015 Micro Focus GmbH. All rights reserved.